//**************************************************************************************************
//*  FRIDA: fast reliable interactive data analysis                         
//*  (C) Joachim Wuttke 1990-, v2(C++) 2001-                                
//*  http://apps.jcns.fz-juelich.de/frida                                   
//**************************************************************************************************

//! \file  reg.cpp
//! \brief collection NReg of registers CRegRef ($-variables)

#include <string>

#include "defs.hpp"
#include "reg.hpp"

//**************************************************************************************************
//*  class CRegRef                                                          
//**************************************************************************************************

//! Constructor. Set from expression string.

CRegRef::CRegRef( const string s )
{
    if( s=="" )
        throw "BUG: register reference with empty label";
    if( s[0]!='$' )
        throw "BUG: register reference with invalid label " + s;
    /*   if( s.size()<2 )
        throw "'$' must be followed by register type";
    */
    if( s!="$" )
        throw "at present, the only register is '$'";
}

double NReg::lastresult;