//**************************************************************************//
//* FRIDA: fast reliable interactive data analysis                         *//
//* (C) Joachim Wuttke 1990-, C++ rewrite 2001-                            *//
//* http://apps.jcns.fz-juelich.de/frida                                   *//
//**************************************************************************//

//! \file  frida2.cpp
//! \brief Main program: initialize, then run interactive endless loop.


#include <iostream>
#include <fstream>
#include <string>
#include "toplevel.hpp"

using namespace std;


//! Frida main program.

int main(int argc, char* argv[])
{
    // cout << "initializing\n";
    CFrida frida;

    for( int iarg=1; iarg<argc; ++iarg ){
        ifstream script(argv[iarg]);
        string cmd;
        // cout << "executing " << argv[iarg] << "\n";
        while (getline(script, cmd))
            frida.execute( cmd );
    }

    // cout << "getting interactive\n";
    while(1) {
        string cmd = frida.prompt();
        // cout << "got cmd '" << cmd << "'\n";
        frida.execute( cmd );
    }
}
